This came in 2006 after attending a talk on bioinformatics.
I had the idea of making an email client that would take the
methods of bioinformatics and apply them to spam-detection.
</p>
<p>
Searches through input and outputs sequences that are repeated.
Because it's intended for text files, control characters are
ignored.
</p>
<p>
FindPatterns [filename] [-b] [-e] [-i] [-o] [-v] [-m&lt;n&gt;] [-l&lt;n&gt;] [-g&lt;n&gt;] [-?|h]
</p>
<dl>
<dt>filename</dt><dd>Attempt to read input from this file, otherwise uses stdin.</dd>
<dt>-b</dt><dd>Keep a buffer to count repeated matches (!o -> b.)</dd>
<dt>-e</dt><dd>Echo input.</dd>
<dt>-i</dt><dd>Case-insensitive (not implemented.)</dd>
<dt>-n</dt><dd>Don't display matches at the end.</dd>
<dt>-o</dt><dd>Output matches immediately as they are found.</dd>
<dt>-s</dt><dd>Silent mode - plain output with no extra characters.</dd>
<dt>-v</dt><dd>Verbose comments while outputting.</dd>
<dt>-g&lt;n&gt;</dt><dd>Set memory buffer granularity to the closest power of two
lower than &lt;n&gt; bytes (default 1024.)</dd>
<dt>-l&lt;n&gt;</dt><dd>Set match limit to &lt;n&gt; matches (default 4096; 0 -&gt; no limit.)</dd>
<dt>-m&lt;n&gt;</dt><dd>Set minimum match length to &lt;n&gt; symbols (default 3).</dd>
<dt>-?|h</dt><dd>Display this help screen and exit.</dd>
</dl>
<p>
Adding -&lt;s&gt;- will turn off switch &lt;s&gt;.
</p>
<p>
Also included is a simple KillSpam email client that takes the patterns
generated (from FindPatterns) and eliminates all the emails that have
matching patterns.
